local render = {}

render.renderClient = function(client)
	if not beautiful.rounded_corners then
		return
	end

	if (not beautiful.disable_rounded_corners) and (
		client.first_tag.layout == awful.layout.suit.floating or
		client.floating
	) then

		client.shape = function(cr, w, h)
			gears.shape.rounded_rect(cr, w, h, beautiful.corner_radius, beautiful.corner_radius)
		end
	else

		client.shape = function(cr, w, h)
			gears.shape.rectangle(cr, w, h)
		end
	end
end

return render
