# Mark's Awesomewm Config

## Setup
Copy config.lua.template into config.lua before using.

## Modules
See the [modules](./modules/README.md) README.

## Dependencies
Some features require extra tools. Tools each module requires are listed below. If a module is disabled, its tool is not needed. Applications required by `core` MUST be installed.

 - Core: `fish`, `sox` (and plugins)
 - Backlight: `xbacklight`
 - Battery: `upower`
 - Ibus: `ibus`
 - Launcher: `rofi`
 - Lock: `i3lock, imagemagick, scrot` or `lightdm` (For `dm-tool`), depending on configuration.
 - MPC: `mpc`
 - Picom: `picom`
 - Screenshot: `flameshot`, `tesseract (and data)`, `xclip`, `lpr`
 - Volume: `pamixer`

